it-swarm-ja.com

brew install gettext、強制的にリンクする必要がありますか?

Web開発を行っていますが、翻訳エンジンにはgettextが必要です。強制的にリンクする必要がありますか?

$ Django-admin.py makemessages -l es
CommandError: Can't find xgettext. Make sure you have GNU gettext tools 0.15 or newer installed.

$ brew install gettext
Warning: gettext-0.18.3.2 already installed

$ brew link gettext
Warning: gettext is keg-only and must be linked with --force
Note that doing so can interfere with building software.
18
broinjc

同じ問題、ここで実行

brew link gettext --force

そして

manage.py compilemessages

そしてすべてがうまくいきます。いつでもできます

brew unlink gettext

問題が発生し、以前の状態に戻す場合

32
gru